{
  description = "A very basic flake";

  inputs = {
    nixos.url = "nixpkgs/nixos-unstable";
    latest.url = "nixpkgs";
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixos";
  };

  outputs = { self, nixos, latest, home-manager }: {

    nixosConfigurations = {
      arianrhod = nixos.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ./configuration.nix
          ./hosts/arianrhod
          ./hosts/arianrhod/hardware.nix
          ./secrets/arianrhod.nix
          home-manager.nixosModules.home-manager
          # {
          #   home-manager.useGlobalPkgs = true;
          #   home-manager.useUserPackages = true;
          #   home-manager.users.jdoe = import ./home.nix;
          # }
        ];
      };
    };


  };
}
